user  nginx;
worker_processes  auto;

error_log  /var/log/nginx/error.log notice;
pid        /var/run/nginx.pid;


events {
    worker_connections  1024;
}


http {
    include       /etc/nginx/mime.types;
    default_type  application/octet-stream;

    log_format  main  '$remote_addr - $remote_user [$time_local] "$request" '
                      '$status $body_bytes_sent "$http_referer" '
                      '"$http_user_agent" "$http_x_forwarded_for"';

    access_log  /dev/stdout main;

    sendfile        on;
    #tcp_nopush     on;

    keepalive_timeout  65;

    #gzip  on;

    server {
        listen 80;

        location / {
            root   /usr/share/nginx/html;
            index  index.html index.htm;
        }

        location /config {
            default_type application/json;
            return 200 '{
                "status": 200, 
                "srUrl":"${SR_URL}",
                "urlKey":"${API_URL_KEY}",
                "backendUrl":"${DEFAULT_BACKEND_URL}",
                "runkeyUiUrlKey":"${RUNKEY_UI_URL_KEY}",
                "useConfigDb":"${OB_USE_CONFIGDB}"
            }';
        }


        client_max_body_size 20M;
    }
}
